
Efl_Object *_efl_ui_internal_text_interactive_efl_object_constructor(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_object_destructor(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


Efl_Object *_efl_ui_internal_text_interactive_efl_object_finalize(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


Efl_Text_Cursor_Object *_efl_ui_internal_text_interactive_efl_text_interactive_main_cursor_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_text_interactive_selection_allowed_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Eina_Bool allowed);


Eina_Bool _efl_ui_internal_text_interactive_efl_text_interactive_selection_allowed_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_text_interactive_selection_cursors_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Efl_Text_Cursor_Object *start, Efl_Text_Cursor_Object *end);


void _efl_ui_internal_text_interactive_efl_text_interactive_selection_cursors_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Efl_Text_Cursor_Object **start, Efl_Text_Cursor_Object **end);


void _efl_ui_internal_text_interactive_efl_text_interactive_editable_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Eina_Bool editable);


Eina_Bool _efl_ui_internal_text_interactive_efl_text_interactive_editable_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_text_interactive_all_unselect(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_text_interactive_all_select(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


Eina_Bool _efl_ui_internal_text_interactive_efl_text_interactive_have_selection_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_text_text_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, const char *text);


void _efl_ui_internal_text_interactive_efl_text_markup_markup_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, const char *markup);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_show_on_demand_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Eina_Bool ondemand);


Eina_Bool _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_show_on_demand_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_language_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Efl_Input_Text_Panel_Language_Type lang);


Efl_Input_Text_Panel_Language_Type _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_language_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_layout_variation_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, int variation);


int _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_layout_variation_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_autocapitalization_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Efl_Input_Text_Capitalize_Type autocapital_type);


Efl_Input_Text_Capitalize_Type _efl_ui_internal_text_interactive_efl_input_text_entity_autocapitalization_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_return_key_state_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Efl_Input_Text_Panel_Return_Key_State state);


Efl_Input_Text_Panel_Return_Key_State _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_return_key_state_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_predictable_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Eina_Bool prediction);


Eina_Bool _efl_ui_internal_text_interactive_efl_input_text_entity_predictable_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_content_type_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Efl_Input_Text_Content_Type hints);


Efl_Input_Text_Content_Type _efl_ui_internal_text_interactive_efl_input_text_entity_input_content_type_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_layout_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Efl_Input_Text_Panel_Layout_Type layout);


Efl_Input_Text_Panel_Layout_Type _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_layout_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_return_key_type_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Efl_Input_Text_Panel_Return_Key_Type return_key_type);


Efl_Input_Text_Panel_Return_Key_Type _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_return_key_type_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_autoshow_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Eina_Bool enabled);


Eina_Bool _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_autoshow_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_show(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_hide(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_imdata_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, Eina_Slice value);


Eina_Slice _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_imdata_get(const Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


Eina_Error _efl_ui_internal_text_interactive_efl_file_file_set(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd, const char *file);


Eina_Error _efl_ui_internal_text_interactive_efl_file_load(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


void _efl_ui_internal_text_interactive_efl_file_unload(Eo *obj, Efl_Ui_Internal_Text_Interactive_Data *pd);


static Eina_Bool
_efl_ui_internal_text_interactive_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_INTERNAL_TEXT_INTERACTIVE_EXTRA_OPS
#define EFL_UI_INTERNAL_TEXT_INTERACTIVE_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_internal_text_interactive_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_internal_text_interactive_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_ui_internal_text_interactive_efl_object_finalize),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_main_cursor_get, _efl_ui_internal_text_interactive_efl_text_interactive_main_cursor_get),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_selection_allowed_set, _efl_ui_internal_text_interactive_efl_text_interactive_selection_allowed_set),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_selection_allowed_get, _efl_ui_internal_text_interactive_efl_text_interactive_selection_allowed_get),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_selection_cursors_set, _efl_ui_internal_text_interactive_efl_text_interactive_selection_cursors_set),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_selection_cursors_get, _efl_ui_internal_text_interactive_efl_text_interactive_selection_cursors_get),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_editable_set, _efl_ui_internal_text_interactive_efl_text_interactive_editable_set),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_editable_get, _efl_ui_internal_text_interactive_efl_text_interactive_editable_get),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_all_unselect, _efl_ui_internal_text_interactive_efl_text_interactive_all_unselect),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_all_select, _efl_ui_internal_text_interactive_efl_text_interactive_all_select),
      EFL_OBJECT_OP_FUNC(efl_text_interactive_have_selection_get, _efl_ui_internal_text_interactive_efl_text_interactive_have_selection_get),
      EFL_OBJECT_OP_FUNC(efl_text_set, _efl_ui_internal_text_interactive_efl_text_text_set),
      EFL_OBJECT_OP_FUNC(efl_text_markup_set, _efl_ui_internal_text_interactive_efl_text_markup_markup_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_show_on_demand_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_show_on_demand_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_show_on_demand_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_show_on_demand_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_language_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_language_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_language_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_language_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_layout_variation_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_layout_variation_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_layout_variation_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_layout_variation_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_autocapitalization_set, _efl_ui_internal_text_interactive_efl_input_text_entity_autocapitalization_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_autocapitalization_get, _efl_ui_internal_text_interactive_efl_input_text_entity_autocapitalization_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_return_key_state_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_return_key_state_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_return_key_state_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_return_key_state_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_predictable_set, _efl_ui_internal_text_interactive_efl_input_text_entity_predictable_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_predictable_get, _efl_ui_internal_text_interactive_efl_input_text_entity_predictable_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_content_type_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_content_type_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_content_type_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_content_type_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_layout_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_layout_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_layout_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_layout_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_return_key_type_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_return_key_type_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_return_key_type_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_return_key_type_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_autoshow_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_autoshow_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_autoshow_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_autoshow_get),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_show, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_show),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_hide, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_hide),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_imdata_set, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_imdata_set),
      EFL_OBJECT_OP_FUNC(efl_input_text_input_panel_imdata_get, _efl_ui_internal_text_interactive_efl_input_text_entity_input_panel_imdata_get),
      EFL_OBJECT_OP_FUNC(efl_file_set, _efl_ui_internal_text_interactive_efl_file_file_set),
      EFL_OBJECT_OP_FUNC(efl_file_load, _efl_ui_internal_text_interactive_efl_file_load),
      EFL_OBJECT_OP_FUNC(efl_file_unload, _efl_ui_internal_text_interactive_efl_file_unload),
      EFL_UI_INTERNAL_TEXT_INTERACTIVE_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_internal_text_interactive_class_desc = {
   EO_VERSION,
   "Efl.Ui.Internal.Text.Interactive",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Ui_Internal_Text_Interactive_Data),
   _efl_ui_internal_text_interactive_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_internal_text_interactive_class_get, &_efl_ui_internal_text_interactive_class_desc, EFL_CANVAS_TEXTBLOCK_CLASS, EFL_TEXT_INTERACTIVE_INTERFACE, EFL_INPUT_TEXT_ENTITY_INTERFACE, EFL_FILE_MIXIN, NULL);
